
#ifndef COMMON_H
#define COMMON_H

enum debug_t {
    debug_none,
    debug_some,
    debug_full,
    debug_total
};

/* boolean */
typedef int bool;
#define true 1
#define false 0

/* Joe: My Linux libc5 headers don't prototype basename anywhere
 * so I do it here... <unistd.h> has it #if 0'ed out. This
 * gets rid of the compiler warnings. */
char *basename( const char *filename );

char *dirname( const char *filename );

/* General debugging function - printf's the args to stderr if the 
 * debugging level is >= debug_min */
void debug( enum debug_t debug_min, char *template, ...);

/* Plain->Base64 converter - will malloc the buffer to the correct size,
 * and fill it with the Base64 conversion of the parameter.
 * Base64 specification from RFC 1521. You must free() it. */

char *base64( const char *text );

#endif
