
#ifndef FRONTEND_H
#define FRONTEND_H

/* Interface for implementing a sitecopy front end.
 * All front end functions are prefixed by 'fe_' */

/*** The following functions must be implemented since they
 *   used by code in other modules ***/

/* This is called to indicate a simple status message to the user */
void fe_status( char *message );

/* This is called when an error occurs */
void fe_error( char *message );

/* This is called to retrieve a yes/no prompt from the user, and
 * returns true if the user agrees to continue, else false */
bool fe_ynprompt( char *message );

#endif /* FRONTEND_H */
